
// ReimuIconDlg.h : ヘッダー ファイル
//

#pragma once


// CReimuIconDlg ダイアログ
class CReimuIconDlg : public CDialogEx
{
// コンストラクション
public:
	CReimuIconDlg(CWnd* pParent = nullptr);	// 標準コンストラクター

// ダイアログ データ
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_REIMUICON_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV サポート


// 実装
protected:
	HICON m_hIcon;

	// 生成された、メッセージ割り当て関数
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	int m_iColNum;
	afx_msg void OnClickedBtnColsetting();
	CStatic m_cReimuText;
	enum {
		BLACK=0,
		RED,
		BLUE,
		YELLOW,
		GREEN
	};
	int m_iBkColNum;
	enum {
		BK_BLACK=0,
		BK_WHITE,
		BK_GRAY
	};
	CBrush m_cBrushLightBlue;
};
